## ros-kinetic-openrtm-aist 1.1.0

=== docs/DevelopersGuide/Makefile ===

all: DevelopersGuide.dvi DevelopersGuideNoClassRef.dvi DevelopersGuide.ps DevelopersGuide.pdf

DevelopersGuide.ps: DevelopersGuide.dvi
	dvips DevelopersGuide.dvi > DevelopersGuide.ps
	cp DevelopersGuide.ps ../

DevelopersGuide.pdf: DevelopersGuide.dvi
	dvipdf DevelopersGuide.dvi
	cp DevelopersGuide.pdf ../

DevelopersGuide.dvi: DevelopersGuide.tex
	rm -f ClassReference/*
	doxygen classref.conf
	ls ClassReference/*.tex | awk -f dox.awk |sh
	rm -f IDLReference/*
	doxygen idlref.conf
	ls IDLReference/*.tex | awk -f dox.awk |sh
	platex DevelopersGuide.tex
	makeindex DevelopersGuide.idx
	platex DevelopersGuide.tex
	while egrep -s 'Rerun (LaTeX|to get cross-references right)' refman.log && [ $$latex_count -gt 0 ] ;\
	    do \
	      echo "Rerunning latex...." ;\
	      platex DevelopersGuide.tex ;\
	      latex_count=`expr $$latex_count - 1` ;\
	    done

DevelopersGuideNoClassRef.dvi: DevelopersGuideNoClassRef.tex
	platex DevelopersGuideNoClassRef.tex
	makeindex DevelopersGuideNoClassRef.idx
	platex DevelopersGuideNoClassRef.tex
	while egrep -s 'Rerun (LaTeX|to get cross-references right)' refman.log && [ $$latex_count -gt 0 ] ;\
	    do \
	      echo "Rerunning latex...." ;\
	      platex DevelopersGuideNoClassRef.tex ;\
	      latex_count=`expr $$latex_count - 1` ;\
	    done

clean:
	rm -rf ClassReference/* IDLReference/* *~ *.aux *.log *.idx *.toc *ind *.ilg DevelopersGuide.dvi DevelopersGuide.ps DevelopersGuide.pdf DevelopersGuideNoClassRef.dvi DevelopersGuideNoClassRef.ps DevelopersGuideNoClassRef.pdf

=== debian/changelog ===
ros-kinetic-openrtm-aist (1.1.0-2xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 05 May 2016 06:46:11 -0000

=== debian/control ===
Source: ros-kinetic-openrtm-aist
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), automake, cmake, doxygen, libltdl-dev, libomniorb4-dev, libtool, libtool-bin, omniidl, omniorb, omniorb-idl, omniorb-nameserver, pkg-config, uuid-dev
Homepage: http://ros.org/wiki/openrtm_aist
Standards-Version: 3.9.2

Package: ros-kinetic-openrtm-aist
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libomniorb4-dev, omniidl, omniorb, omniorb-idl, omniorb-nameserver, ros-kinetic-catkin, uuid-dev
Description: This package represents OpenRTM-aist that's built within ROS eco system.
 Although being ROS-agnostic by itself, you can use this via ROS together with the packages in rtmros_common that bridge between two framework. OpenRTM-aist is an RT-Middleware-baseed, component-oriented software platform to robotics development that is made and maintained in AIST (National Institute of Advanced Industrial Science and Technology) in Japan (excerpts from here) Its development is happening at openrtm.org/pub/OpenRTM-aist. The repository listed below is where the development of its ROS wrapper happening.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-openrtm-aist//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
